Accept an invitation
const url = 'https://example.com/storefront/sites/northgate.shop.getbottle.app/account/join';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"token":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/storefront/sites/northgate.shop.getbottle.app/account/join \ --header 'Content-Type: application/json' \ --data '{ "token": "example" }'Deliberately without a staff session: a shopper on the business’s own shop. With the token from the invitation email. Signed in, the account must have the invited email (403 wrong_email). Signed out, an account with that email must exist (409 sign_up_first) and the link both confirms its email and signs it in. Joins with the role given.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Example
northgate.shop.getbottle.appRequest Bodyrequired
Section titled “Request Bodyrequired”object
Example generated
{ "token": "example"}Responses
Section titled “Responses”Joined
object
A language: en-GB English, ar Arabic, ur Urdu, pa Punjabi (Gurmukhi), hi Hindi, bn Bengali, gu Gujarati, zh-Hans Chinese (Simplified), pl Polish, ro Romanian, es Spanish, fr French, de German.
object
UUID v7
object
UUID v7
UUID v7
object
object
UUID v7
Example
{ "locale": "en-GB", "customers": [ { "id": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "kind": "domestic", "role": "manager" } ], "addresses": [ { "id": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "customerId": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f" } ], "tradeApplication": { "status": "none" }, "joined": { "customerId": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "role": "manager" }}Refused: the message says why
object
Example
{ "error": "not_found", "message": "Customer not found"}Not signed in
object
Example
{ "error": "not_found", "message": "Customer not found"}Not from the shop itself, or the email is not confirmed yet
object
Example
{ "error": "not_found", "message": "Customer not found"}Not a shop. No body.
Sign up first, or the shop is not selling now (shop_closed)
object
Example
{ "error": "not_found", "message": "Customer not found"}Validation failed
object
object
Example
{ "error": "validation", "issues": [ { "path": "email", "message": "Invalid email" } ]}Too many tries
object
Example
{ "error": "not_found", "message": "Customer not found"}